Bug 450635 - RHEL5.2 FV guest cannot get files from RHEL5.2 Host CDROM or ISO
RHEL5.2 FV guest cannot get files from RHEL5.2 Host CDROM or ISO
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
All Linux
low Severity high
: rc
: ---
Assigned To: Xen Maintainance List
Virtualization Bugs
Depends On:
  Show dependency treegraph
Reported: 2008-06-09 21:48 EDT by Spencer Tsai
Modified: 2010-04-08 12:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-10-22 11:26:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
RHEL5.2 x86_64 Host logs (59.10 KB, application/octet-stream)
2008-06-09 21:48 EDT, Spencer Tsai
no flags Details
RHEL5.2 FV Guest Configurations & Logs (9.10 KB, application/x-gzip-compressed)
2008-06-10 06:52 EDT, Spencer Tsai
no flags Details
lshal logs from host and guest (18.66 KB, application/x-zip-compressed)
2008-11-12 21:00 EST, Spencer Tsai
no flags Details

  None (edit)
Description Spencer Tsai 2008-06-09 21:48:37 EDT
Description of problem:
RHEL5.2 FV or PV guest cannot get files from RHEL5.2 Host CDROM or ISO

Version-Release number of selected component (if applicable):

How reproducible:
Always reproducible

Steps to Reproduce:
1. Complete host installation of RHEL5.2 x86_64 with Virtualization packages
2. Enable Intel VT function of BIOS.
3. Boot to RHEL5.2 host, use virt-manager to create a FV guest of RHEL5.2
4. Install FV guest from /var/lib/xen/iso/RHEL5.2-x86_64_DVD.iso
5. After FV guest finished installation, CDROM keep connecting to the DVD ISO
6. Boot into FV guest, but guest cannot get files from CDROM (DVD ISO)
7. Shutdown FV guest, change CDROM connecting to a DVD-R of RHEL5.2 x86_64
8. Boot into FV guest, still cannot get files from CDROM (DVD-R)

Actual results:
No matter guest is FV or PV, RHEL5.2 guest never reaches CDROM from RHEL5.2 host

Expected results:

Additional info:
HTS-5.2-13 cert test kit, XEN guest test item has CDROM.
Because of this issue, XEN guest CDROM test alwasys failed.
Comment 1 Spencer Tsai 2008-06-09 21:48:37 EDT
Created attachment 308763 [details]
RHEL5.2 x86_64 Host logs
Comment 2 Spencer Tsai 2008-06-10 00:13:54 EDT
Bug ID 450639 is based on this bug, it's HTS-5.2-13 guest CDROM test item failed
Comment 3 Daniel Berrange 2008-06-10 06:27:48 EDT
Please provide the files


And the output of  'virsh dumpxml NAME-OF-GUEST'  for the guest you have just
finished installing.
Comment 4 Spencer Tsai 2008-06-10 06:52:21 EDT
Created attachment 308799 [details]
RHEL5.2 FV Guest Configurations & Logs
Comment 5 Daniel Berrange 2008-10-08 06:42:49 EDT
Well the guest has been re-connected to the /dev/scd0 device according to the logs, so its some reason failing to access the CD.

Can you provide further debug info

 - On the host OS,  the output of 'lshal'  (while you have the CD media inserted in the /dev/scd0 drive)
 - On the host OS, the output of 'xenstore-ls' (after attaching the /dev/scd0 device to the running guest)
 - On the guest OS, the output of 'lshal'  (again, after attaching /dev/scd0 to the running guest)
Comment 6 Spencer Tsai 2008-11-12 21:00:03 EST
Created attachment 323413 [details]
lshal logs from host and guest

1. in guest, use command "mount /dev/hdc /mnt"
   When source is /dev/scd0, even system reports mounted successfully, "ls /mnt" still shows nothing.
   When source is /var/lib/xen/iso/RHEL5.2_i386_CD1.iso, "ls /mnt" shows CD contents.
2. No matter CD source is CD-R or ISO, hts-5.2-20, FV guest "cdrom" test result still become failed all the time.
Comment 7 Cole Robinson 2009-02-13 15:06:22 EST
Hmm, do you still see this with RHEL 5.3?

At the very least this likely isn't a virt-manager (or libvirt) issue, so reassigning to xen.

Also interesting to check would be /var/log/audit/* to see if there are any selinux issues.
Comment 8 Chris Lalancette 2009-10-22 11:26:50 EDT
No response from the reporter in quite a few months.  I'm going to close it out for now, but if this is still an issue, please feel free to reopen.

Chris Lalancette
Comment 9 Paolo Bonzini 2010-04-08 11:42:34 EDT
This bug was closed during 5.5 development and it's being removed from the internal tracking bugs (which are now for 5.6).

Note You need to log in before you can comment on or make changes to this bug.